.bgImgEspecialista {
    position: relative;
    width: 100%;
    height: 450px;
    background:
        linear-gradient(
            to top,
            rgba(0, 0, 0, 0.75) 0%,
            rgba(0, 0, 0, 0.2) 60%,
            transparent 100%
        ),
        url('../img/Servicios/banner_servicios.jpg');
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center; /* centra verticalmente el contenido */
    align-items: center;     /* centra horizontalmente */
    color: #fff;
    text-align: center;
}



.titleNosotros {
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 15px;
    z-index: 2;
}

/* Línea decorativa debajo del título */
.lineas {
    width: 90%;
    height: 1px;
    background-color: var(--blanco, #fff);
    margin: 0 auto 20px auto;
    z-index: 2;
}

/* Texto de ruta (“Inicio / Nosotros”) */
.contenedorLineaYinicio {
    position: absolute;
    bottom: 25px;
    left: 50%;
    transform: translateX(-50%);
    color: #fff;
    z-index: 3;
    font-size: 1rem;
    width: 100%;
}
.inicioNosotros , .inicioNosotros span{
    font-size: 18px;
    font-weight: 500;
}
.inicioNosotros span{
    color: var(--secundario);
}


.separacionEspecialista{
    padding: 100px 0px;
    background-color: var(--FondoColorTenue);

}
.TextoEquipo{
    text-align: center;
}
.TextoEquipo h4{
    color: var(--principal);
}

.TextoEquipo h2{
    font-size: 38px;
    line-height: 1.2;
    padding: 15px 0px;
    font-weight: 600;
    color: var(--principal);
}

.TextoEquipo h2 span{
    color: var(--secundario);
}

.TextoEquipo  p{
    font-size: 18px;
    padding-top: 30px;
    color: var(--ColorTexto);
}

.TextoEquipo h4::after{
   content: "";
    display: inline-block;
    width: 50px;
    height: 3px;
    background-color: var(--principal);
    margin-left: 15px;
    vertical-align: middle; /* centra respecto al texto */
}

.TextoEquipo h4{
    font-size: 20px;
    font-weight: 500;
}
.TextoEquipo h4::before{
   content: "";
    display: inline-block;
    width: 50px;
    height: 3px;
    background-color: var(--principal);
    margin-right: 15px;
    vertical-align: middle; /* centra respecto al texto */
}

.FlexContenedorEspecialistas{
    display: flex;
    justify-content: center;
    align-items: start;
    gap: 40px;
    flex-wrap: wrap;
    margin: 70px 0px;
}

.Especialistas{
    width: 300px;
    height: auto;
    background-color: var(--blanco);
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    text-align: center;
    padding: 0px;
    cursor: pointer;
}

.ContenedorImgEspecialista{
    width: 100%;
    height: auto;
    margin: auto;

}
.ContenedorImgEspecialista img{
    width: 100%;
    height: 100%;
    overflow: hidden;
    object-fit: cover;

}
.Especialistas p{
    padding: 15px;
    color: var(--principal);
    font-size: 20px;
    font-weight: 600;
    min-height: 80px;
    line-height: 1.2;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btnEspecialista{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    gap: 10px;

    padding: 14px 35px;
    border-radius: 5px;
    font-weight: 600;
    border: none;
    background-color: var(--principal);
    color: var(--blanco);
    border: none;
    font-size: 17px;
    cursor: pointer;
    transition: all ease .3s;
    letter-spacing:1px;
}
.btnEspecialista:hover{
    background-color: var(--principalhover);
}

.btnEspecialista a{
    color:var(--blanco);
    text-decoration:none;
}

.btnEspecialista i{
    font-size:13px;
}


/*CONOCE NUESTROS SERVICIOS*/
.FLexConoceNuestroServicio{
    display: flex;
    justify-content: space-between;
    padding: 40px 40px;
    background-color: var(--principal);
    border-radius: 5px;
    margin-bottom: 50px;
    align-items: center;
}
.FLexConoceNuestroServicio p{
    font-size: 25px;
    color: var(--blanco);
    font-weight: 600;
}

.FLexConoceNuestroServicio button{
    padding: 13px 20px;
    color: var(--principal);
    background-color: var(--secundario);
    border: none;
    display: flex;
    align-items: center;
    gap: 10px;
    border-radius: 5px;
    font-size: 17px;
    font-weight: 600;
    cursor: pointer;
    transition: all ease .3s;
}
.FLexConoceNuestroServicio button:hover{
    background-color: var(--secundariohover);
}

.FLexConoceNuestroServicio button a{
    color:var(--principal);
    text-decoration:none;
}

.FLexConoceNuestroServicio button i{
    font-size:13px;
}





.modalEspecialista {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.7);
  justify-content: center;
  align-items: center;
  backdrop-filter: blur(4px);
}

.modalContenido {
  background: var(--blanco);
  border-radius: 8px;
  padding: 40px;
  display: flex;
  flex-direction: column;
  /*max-width: 600px;*/
  width: 70%;
  box-shadow: 0 5px 20px rgba(0,0,0,0.3);
  position: relative;
  animation: fadeIn 0.3s ease;
  height: auto;
  overflow-y: auto;
  max-height: 600px;
}

.modalContenido img {
  width: 300px;
  height: 300px;

  object-fit: cover;
  margin-bottom: 15px;
  border:2px  solid #edeef0;
}

.modalContenido h3 {
  font-size: 22px;
  margin-bottom: 5px;
  color: var(--principal);
  font-weight: 600;
}

.modalContenido h4 {
  font-size: 17px;
  color: #3f3f3f;
  margin-bottom: 15px;
  font-weight: 550;
}

.modalContenido p {
  font-size: 15px;
  color: #444;
  line-height: 1.6;
  text-align: justify;
}

.cerrarModal { /*Esto es para el cierre del modal*/
  position: absolute;
  top: 12px;
  right: 18px;
  font-size: 28px;
  color: #333; /* Cambiado a oscuro para verse en fondo blanco */
  cursor: pointer;
  transition: color 0.3s ease;
  /*font-weight: bold;*/
}

.cerrarModal:hover {
  color: #007bff; /* azul al pasar el mouse */
}


.TextoEquipo p{
    width:60%;
    margin:auto;
}


@keyframes fadeIn {
  from { opacity: 0; transform: scale(0.9); }
  to { opacity: 1; transform: scale(1); }
}

@media (max-width: 900px) {
 .modalContenido{
    width: 90%;
 }
}

@media (max-width:700px ) {
 .FLexConoceNuestroServicio p{
    font-size: 20px;
 }
 .FLexConoceNuestroServicio{
    padding: 30px 20px;
 }

 .bgImgEspecialista .contenidoNosotros .titleNosotros{
  font-size: 45px;
  line-height: 1;
  }
}

@media (max-width:600px ) {
 .TextoEquipo h2{
    font-size: 30px;
 }

}



@media (max-width:530px ) {
 .FLexConoceNuestroServicio{
    flex-direction: column;
    gap: 30px;
 }
 .titleNosotros{
    font-size:35px;
 }

 .modalContenido{
    padding:20px;
 }
}

@media (max-width:400px ) {
 .TextoEquipo h2{
    font-size: 25px;
 }

 .TextoEquipo p{
    width:100%;
    font-size: 16px;
 }
}
